Templates that create part (but not all) of a table cell don't work
Closed, ResolvedPublic

bzimport added a project: Parsoid.Via ConduitNov 22 2014, 1:46 AM
bzimport set Reference to bz50366.
Ironholds created this task.Via LegacyJun 28 2013, 11:08 AM
Jdforrester-WMF added a comment.Via ConduitJul 1 2013, 11:20 PM
  • Bug 50532 has been marked as a duplicate of this bug. ***
Catrope added a comment.Via ConduitJul 1 2013, 11:47 PM

Parsoid bug, it doesn't seem to like {{won}} and {{nom}}, see http://parsoid.wmflabs.org/en/Rage_Against_the_Machine

GWicke added a comment.Via ConduitJul 1 2013, 11:55 PM

The issue is normally something of this form:

{|

{{style-and-cell}}
}

The transclusion returns some attributes and possibly table content.

This cannot easily be parsed in Parsoid while also retaining round-trip information. And even if we could, this would be very hard to represent in HTML so that the VisualEditor can present a sensible user interface for it. So this will remain a limitation of Parsoid.

This issue can however be avoided by changing the template to return the entire table cell including the leading pipe:

{|
{{style-and-cell}}

}

with {{style-and-cell}} containing:

style="the style"The cell content
MZMcBride added a comment.Via ConduitJul 2 2013, 12:56 AM

(In reply to comment #4)

This cannot easily be parsed in Parsoid while also retaining round-trip
information. And even if we could, this would be very hard to represent in
HTML so that the VisualEditor can present a sensible user interface for it. So
this will remain a limitation of Parsoid.

I'd like to know how many pages are affected by this bug across Wikimedia wikis before it's marked wontfix. Re-opening this for now.

GWicke added a comment.Via ConduitJul 2 2013, 2:47 AM

I don't have precise figures right now, but know enough to be sure that a bot will be needed. This bot pass should also fix some other issues listed in http://www.mediawiki.org/wiki/Parsoid/limitations. Do you know a bot author who might be potentially interested in a task like this? We have it on our TODO list, but did not have the time to tackle it before the release.

Jdforrester-WMF added a comment.Via ConduitJul 2 2013, 4:04 PM
  • Bug 50567 has been marked as a duplicate of this bug. ***
Jdforrester-WMF added a comment.Via ConduitJul 2 2013, 4:04 PM
  • Bug 50589 has been marked as a duplicate of this bug. ***
bzimport added a comment.Via ConduitJul 2 2013, 4:14 PM

kwwilliams wrote:

50589 has been marked as a duplicate of this bug. I'm certain it's related, but I'm not certain it's a duplicate. *If* it is a duplicate, marking it as "wontfix" isn't an acceptable answer.

singlechart *does* return the leading | or !, depending on whether it has been ask to generate a row or a header row. It generates two row cells, separated by a |.

GWicke added a comment.Via ConduitJul 2 2013, 4:22 PM

Bug 50589 is a different issue, so I reopened it and added detail there.

GWicke added a comment.Via ConduitJul 2 2013, 4:50 PM

FYI, we are considering a post-processing work-around in Parsoid that lets this class of templates render as expected, but might not let users edit those templated cells.

Our longer-term goal is to move towards more self-contained templates. This won't happen over night, and we'll need the help of the editor community and bot authors.

TheDJ added a comment.Via ConduitJul 7 2013, 7:46 PM

Similar hack, but now on the table itself, instead of a table cell. See the Infobox of WikiProject Aircraft:

https://en.wikipedia.org/wiki/BAC_One-Eleven

jayvdb added a comment.Via ConduitJul 22 2013, 1:10 AM

This bug was raised five months earlier.

  • This bug has been marked as a duplicate of bug 44498 ***

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.